• 赤色のリンクは、まだ日本語Codexに存在しないページ・画像です。英語版と併せてご覧ください。(詳細

このWikiはいつでも誰でも編集できます

管理画面/ダッシュボード/更新

提供: WordPress Codex 日本語版
移動先: 案内検索

このページ「管理画面/ダッシュボード/更新」は 情報が古くなっている可能性があります。最新版英語)も合わせてご覧ください。最新に更新してくださる協力者を求めています

  • 「WordPress 日本語版」の画面表示と説明を、最新バージョンに合わせて書き換えてください。

画像募集中 WordPress 日本語版 4.9.8 のスクリーンショットを撮って ファイルをアップロードするか、提供できることをお知らせください


ツール → アップグレード

このアップグレードツール画面では、WordPress本体とインストール済みプラグインの自動アップグレード機能を利用できます。この機能を使うと、ボタンをクリックするだけで最新版へアップグレードできます。

この画面で行なえること:

  • WordPress 本体
    • 自動アップグレード処理の実行
    • 手動アップグレードに使う WordPress パッケージ(zipファイル)のダウンロード
  • プラグイン
    • アップグレードできるプラグインの一覧と、最新版WordPress互換性情報の参照
    • 一括(または選択)アップグレードの実行

普段はこのページを見に来る必要はありません。新バージョンが公開されると、管理画面の全ページにお知らせが表示されます。
「A new version of WordPress is available! Please update now」
このリンクをクリックすると当画面が開きます。

(注)

  • 自動アップグレード機能はバージョン 2.7 以降でのみ実行できます。お使いになっている WordPress のバージョンが 2.6.5 以前の場合、従来のアップグレード手順にて 2.7 以降へアップグレードしてください。
  • サーバによっては自動アップグレードで問題が起きるかもしれません。

ツール > アップグレード画面
(WordPress 日本語版)

管理画面へ戻る。

WordPress のアップグレード

アップグレードツール画面は、新バージョンの有無によって表示が変わります。
「WordPress 日本語版」を使うのであれば、(2) では何もせず、(3) のときにアップグレードを実行します。(2) で実行すると英語版にアップグレードされます。

利用できるアップグレードがない場合

最新版使用時(日本語版)

あなたが最新版の WordPress を使っていれば、アップグレード画面を開いたときに次のメッセージと実行ボタンが表示されます。

(注) WordPress 2.7.x からアップグレードする場合、画面のバージョン表記に注意! 「-ja」は日本語版、無印はオリジナル(英語)版についての操作です。

WordPress 日本語版の画面表示:

最新版の WordPress を利用中です。アップグレードの必要はありません。もしバージョン x.x–ja を再インストールしたい場合は、自動、もしくは手動でパッケージをダウンロードして再インストールしてください:

[自動再インストールを実行] [x.x–ja をダウンロード] [この変更を非表示にする]

最新版の WordPress を利用中です。アップグレードの必要はありません。もしバージョン x.x を再インストールしたい場合は、自動、もしくは手動でパッケージをダウンロードして再インストールしてください:

[自動再インストールを実行] [x.x をダウンロード] [この変更を非表示にする]

WordPress(オリジナル版)の画面表示:

You have the latest version of WordPress. You do not need to upgrade

You have the latest version of WordPress. You do not need to upgrade. However, if you want to re-install version 4.9.8, you can do so automatically or download the package and re-install manually:

[Re-install automatically] [Download 4.9.8]

実行ボタン

自動再インストールを実行
(Re-install automatically)
このバージョンをインストールし直すにはこのボタンをクリックします。アップグレード処理が成功すると下記のメッセージが順に表示されます。
4.9.8[-ja] をダウンロード
(Download 4.9.8[-ja])
バージョン 4.9.8[-ja] の zip ファイルをダウンロードするにはこのボタンをクリックします。クリックすると、あなたのコンピュータに wordpress-4.9.8[-ja].zip ファイルを保存するためのダイアログが表示されます。手動によるアップグレード方法は「WordPress のアップグレード/詳細」をお読みください。

再インストール実行時の画面表示

Downloading update from http://wordpress.org/wordpress-4.9.8.zip

Unpacking the core update

Verifying the unpacked files

Installing the latest version

Upgrading database

WordPress upgraded successfully

アップグレードが利用できる場合

アップグレードする前に: 実行する前に、新バージョンの動作環境を確認し、バックアップを必ず取得してください。

オリジナル版のみリリース時
日本語版リリース時

WordPress のアップグレードが利用可能であれば、アップグレード画面を開いたときに次のメッセージと実行ボタンが表示されます。

(注) WordPress 2.7.x からアップグレードする場合、画面のバージョン表記に注意! 「-ja」は日本語版、無印はオリジナル(英語)版についての操作です。

WordPress 日本語版の画面表示

重要: アップグレードの前に、データベースとファイルをバックアップしてください

新しいバージョンの WordPress にアップグレードが可能です

バージョン x.x–ja に自動アップグレードするか、パッケージを手動でダウンロードしてインストールすることができます。

[自動アップグレードを実行] [x.x–ja をダウンロード] [この変更を非表示にする]

バージョン x.x に自動アップグレードするか、パッケージを手動でダウンロードしてインストールすることができます。

[自動アップグレードを実行] [x.x をダウンロード]

WordPress(オリジナル版 2.8 以降)の画面表示
(注) オリジナル版を使っていてロケール(WPLANG)'ja' を指定している場合、日本語版の新バージョンがあると、日本語版へのアップグレードメッセージ(下記前半部分)が表示されます(バージョン表記は「4.9.8-ja」)。使いたい WordPress に合わせてボタンを選んでください。不要であれば [Hide this update] ボタンで非表示にできます。

Important: before upgrading, please backup your database and files.

There is a new version of WordPress available for upgrade

You can upgrade to version 4.9.8–ja automatically or download the package and install it manually:

[Upgrade Automatically] [Download 4.9.8–ja] [Hide this update]

This localized version contains both the translation and various other localization fixes. You can skip upgrading if you want to keep your current translation.

You can upgrade to version 4.9.8–en_US automatically or download the package and install it manually:

[Upgrade Automatically] [Download 4.9.8–en_US] [Hide this update]

You are about to install WordPress 4.9.8 in English. There is a chance this upgrade will break your translation. You may prefer to wait for the localized version to be released.

実行ボタン

自動アップグレードを実行
(Upgrade Automatically)
自動アップグレード処理を開始するにはこのボタンを押します。
 : アップグレード開始から完了までの間、後述のメッセージが順に表示されます。
4.9.8-ja をダウンロード
(Download x.x-ja)
WordPress 日本語版のバージョン 4.9.8 の zip ファイルをダウンロードするにはこのボタンをクリックします。
クリックすると、あなたのコンピュータに wordpress-4.9.8.zipファイルを保存するためのダイアログが表示されます。保存先を指定してファイルを保存してください。このファイルを用いた手動アップグレード方法は「WordPress のアップグレード/詳細」をお読みください。
4.9.8–en_US をダウンロード
(Download 4.9.8–en_US)
オリジナル(英語)版のバージョン x.x の zip ファイルをダウンロードするにはこのボタンをクリックします。
この変更を非表示にする
(Hide this update)
この新バージョンについてのアップグレードダイアログを非表示にします。管理画面の各画面の上部に出ているアップグレード通知も非表示となります。
再び表示させるには「非表示の更新を表示する」(Show hidden updates)をクリックします。
さらに再び非表示とするには、「非表示の更新を隠す」(Hide hidden updates)をクリックします。
この更新を元に戻す
(Bring back this update)
非表示にしていたアップグレード通知「A new version of WordPress is available! Please update now」を復活させます。
ダイアログを非表示にした後、「非表示の更新を表示する」(Show hidden updates)で再表示したときに現れるボタンです。

自動アップグレード実行時の画面表示

日本語版:

http://wordpress.org/wordpress-x.x.x.zip からアップデートをダウンロードしています

コアパッケージの更新ファイルを展開しています…

展開したファイルをチェックしています…

最新のバージョンをインストールしています

データベースをアップグレード

WordPress のアップグレードを完了しました。

オリジナル版:

Downloading update from http://wordpress.org/wordpress-4.9.8.zip

Unpacking the core update

Verifying the unpacked files

Installing the latest version

Upgrading database

WordPress upgraded successfully

アップグレードが終わったら

アップグレードが成功したら、インストールしたての新バージョンについて、新機能を見直し、使っているプラグインとテーマも最新版に更新されているかどうかを確認しましょう。

また、wp-congfig.php4つのセキュリティ・キーをまだ設定していなければ、次の要領で追加しましょう。

  1. あなたのサーバから wp-config.php ファイルをダウンロード
  2. テキストエディタで開き、セキュリティ・キーの行が見つからないか値が初期値のままだったら、wp-config.php の編集の説明に従って追加/修正
  3. UTF-8 BOM なしで保存し、再びサーバへアップロード

プラグインのアップグレード

サイトにインストール済みのプラグインに利用できる新バージョンがあるとき、下記の一覧表が表示されます。最新版WordPressとの互換性(対応状況)を確認し、複数のプラグインを一括してアップグレードできます。

この一括アップグレード機能は WordPress 2.9 から使えます。また、従来どおり プラグイン > インストール済み画面からアップグレードすることもできます。

Plugins

The following plugins have new versions available. Check the ones you want to upgrade and then click "Upgrade Plugins".

[Upgrade Plugins]

Select All
プラグイン名

You are running version 2.2.3. Upgrade to 2.2.7.
Compatibility with WordPress 4.9.8: 100% (according to its author)

プラグイン名

You are running version 1.5.8. Upgrade to 1.6.3.
Compatibility with WordPress 4.9.8: 100% (3 "works" votes out of 3 total)

プラグイン名

Let It Snow!You are running version 1.3. Upgrade to 2.0.
Compatibility with WordPress 4.9.8: 91% (10 "works" votes out of 11 total)

プラグイン名

You are running version 1.2.3. Upgrade to 1.2.4.
Compatibility with WordPress 4.9.8: 0% (0 "works" votes out of 1 total)

プラグイン名

You are running version 2.22.6. Upgrade to 2.50.
Compatibility with WordPress 4.9.8: Unknown

Select All

[Upgrade Plugins]

プラグインをアップグレードするには、アップグレードしたいプラグインにチェックを入れ、[Upgrade Plugins] ボタンをクリックします。

  • 全てのプラグインをアップグレードするには「Select All」にチェック(チェックボックス(□)をクリックして選択)
  • 一部のプラグインをアップグレードするには、そのプラグインにチェック

トラブルシューティング

ダウンロード失敗

問題点 
自動アップグレードを選んだ後、次のメッセージが表示されます。
Downloading update from http://wordpress.org/wordpress-x.x.zip

Download failed.: Could not open handle for fopen() to http://wordpress.org/wordpress-x.x.zip

Installation Failed

または

Downloading update from http://wordpress.org/wordpress-x.x.zip

Download failed.: name lookup timed out

Installation Failed
解決策 
正しくインターネットに接続していることを確認した上で、再度、自動アップグレードを実行してください。

WordPress の更新が完了しない

問題点 
アップグレードを実行し「WordPress upgraded successfully」というメッセージが表示されましたが、まだ次のメッセージが表示されています。
An automated WordPress update has failed to complete - please attempt the update again now.
解決策 
WordPress のルート(ベース)ディレクトリに .maintenance ファイルがあれば削除し、再度アップグレードを実行してください。

「接続情報」という画面が表示される

Problem
After clicking on "automatic upgrade" you get a dialog box asking for "Connection Information". And, no matter what you enter, you continue to get errors.
Solution
Make sure that your entire wordpress directory is owned by the username under which your Apache server runs. For example, if your server runs as https, and your files live in /var/wordpress do a "chown -R apache.apache /var/wordpress." Note that you might want to edit some permissions for security purposes, in particular a chmod 640 on wp-config.php, to protect access information to your database.

Warning: SAFE MODE Restriction in effect. が表示される

問題点 
「自動アップグレード」をクリックすると、「Warning: touch() [function.touch]: SAFE MODE Restriction in effect.」などの警告メッセージが表示されます。
解決策 
あなたのサーバはPHPがセーフモードで動作しています。セーフモードによる制限と対処方法を読み、処置を行ってから、再び自動アップグレードを行なってください。

FAQ - よくある質問と回答


管理画面へ戻る。

変更履歴

  • 2.9 : プラグインの一括アップグレードができるようになりました。
    • アップグレード可能なプラグインを一覧表示、最新版WordPress対応状況を表示
    • 2クリックで一括アップグレード
  • 2.8 : WordPressオリジナル版についてのメッセージ・ボタン表示が、「version 2.9–en_US」「Download 2.9–en_US」のように英語版と明記されるようになりました。(従来は無印で「version 2.9」「Download 2.9」)
  • 2.7 : 新機能

最新英語版: WordPress Codex » Tools Upgrade SubPanel最新版との差分

関連ページ


あわせて管理画面およびネットワーク管理 もご覧ください。


警告: 既定のソートキー「かんりはねるつうるあつふくれえと」が、その前に書かれている既定のソートキー「かんりかめん」を上書きしています。